
Redmine - Feature #691

Add column totals to Issues Summary Report

2008-02-19 01:07 - David Petersen

Status: Closed Start date: 2008-02-19

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution:    

Description

The Issue Summary Reports (simple and detailed) has row totals but does not have column totals.  Both row and column totals are

needed to be able to pull all the information that is needed.

Patch file adds the column totals.

Related issues:

Related to Redmine - Patch #2281: Total-columns in the issue summary (issue_r... Closed

Associated revisions

Revision 23163 - 2024-10-26 08:38 - Go MAEDA

Add column totals to Issues Summary Report (#691).

Contributed by David Petersen (user:petersendidit).

History

#1 - 2008-03-13 16:14 - John Goerzen

I'm wondering if this is really all that useful on the issue_report (main issue summary) screen.  It's duplicated in every box there, and doesn't really

seem all that useful to have it in every box.

What do you think?

#2 - 2008-03-13 22:12 - David Petersen

The reason I created the patch is because we had a few people in upper management that wanted that detail of info.

#3 - 2016-12-25 09:14 - Go MAEDA

- File column_totals_reports_r16111.diff added

- Target version set to Candidate for next major release

Updated David Petersen's patch for the current trunk (r16111).

#4 - 2016-12-26 03:03 - Mischa The Evil

Go MAEDA wrote:

Updated David Petersen's patch for the current trunk (r16111).

 Go MAEDA, do you have some specific reason to prefer this patch (which has raw text strings) over the one provided by Markus in #2281?

#5 - 2016-12-26 03:09 - Go MAEDA

Mischa The Evil wrote:

Go MAEDA, do you have some specific reason to prefer this patch (which has raw text strings) over the one provided by Markus in #2281?

 This patch makes a link from total values to issues page. But #2281 is also good for me.

#6 - 2016-12-26 04:08 - Mischa The Evil
Go MAEDA wrote:

Mischa The Evil wrote:

Go MAEDA, do you have some specific reason to prefer this patch (which has raw text strings) over the one provided by Markus in #2281?

 This patch makes a link from total values to issues page. But #2281 is also good for me.

 This "linkified" version might be more consistent with the rest of the summary. I also had a second, better look at your updated patch and noticed you

have also removed the raw strings, so that 'issue' is solved; so in the end the only remaining effective difference is whether or not to linkify the total

values. As I expressed in #2281-4 I don't have a preference for one or the other. Btw: a look at that screenshot of mine in #2281 raises some

nostalgic feelings... :)

One other thing that comes to my mind is that if it is decided to merge this into the core, it would be good to review whether or not it would be better

for consistency to extend this change onto the issue tracking box on overview as it is after completion of #20413. Again, I don't have any preference.

I'm just dropping some thoughts.

#7 - 2017-01-01 14:38 - Go MAEDA

- Target version changed from Candidate for next major release to 3.4.0

#8 - 2017-01-29 12:40 - Jean-Philippe Lang

The links to the issue list on totals are wrong in some cases. For example, under the "Target version" details, we have the total number of issues that

are assigned to a version, but the link sends you to the issue list without target version filter.

#9 - 2017-03-03 18:33 - Jean-Philippe Lang

- Target version changed from 3.4.0 to Candidate for next major release

#10 - 2024-10-23 17:01 - Go MAEDA

- File clipboard-202410232359-vgxcf.png added

- File 691-v3.patch added

- Target version changed from Candidate for next major release to 6.0.0

Jean-Philippe Lang wrote in #note-8:

The links to the issue list on totals are wrong in some cases. For example, under the "Target version" details, we have the total number of issues

that are assigned to a version, but the link sends you to the issue list without target version filter.

 I have removed the links on totals.

 clipboard-202410232359-vgxcf.png 

#11 - 2024-10-26 08:39 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

Committed the patch in r23163. Thank you for your contribution.

#12 - 2024-10-26 08:41 - Go MAEDA

- Tracker changed from Patch to Feature

#13 - 2024-11-04 06:13 - Go MAEDA

- Subject changed from Add column totals to Issus Summary Report to Add column totals to Issues Summary Report

Files

column_totals_reports.diff 3.67 KB 2008-02-19 David Petersen

column_totals_reports_r16111.diff 3.62 KB 2016-12-25 Go MAEDA

clipboard-202410232359-vgxcf.png 44.5 KB 2024-10-23 Go MAEDA

691-v3.patch 3.12 KB 2024-10-23 Go MAEDA
